Advanced query all resource members
post
/api/boss/data/objects/ora/cxServiceCore/helpdesk/v1/$en/hrHelpDeskRequests/$views/resourceMembers/$query
Get all resource members
Request
Query Parameters
-
$effectiveDate: string(date)
Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
Supported Media Types
- application/json
Nested Schema : schema
Type:
Show Source
object-
accessors: object
accessors
Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
-
fields: array
fields
Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
-
subTypes: object
subTypes
Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : type
Type:
Show Source
object-
collection: object
collection
Defines query criteria that can be applied on a resource collection.
Nested Schema : type
Type:
Show Source
object-
parameters: object
parameters
Values to be applied in a parameterized filter specific to the view.
Nested Schema : accessors
Type:
objectMaps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
Nested Schema : fields
Type:
arrayRestricts the resource fields. Only the specified fields and mandatory system fields are returned.
Show Source
Nested Schema : subTypes
Type:
objectMaps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : collection
Type:
objectDefines query criteria that can be applied on a resource collection.
Show Source
-
filter: string
The resource collection will be queried using the specified filter condition.
-
includeTotalItems: boolean
Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
-
limit: integer
Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
-
offset: integer
Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
-
privilege: string
Represents the privilege or action required to check for while serving a request to access a resource.
-
sortBy: array
sortBy
Orders a resource collection based on the specified fields.
Nested Schema : sortBy
Type:
arrayOrders a resource collection based on the specified fields.
Show Source
Nested Schema : type
Type:
objectObject with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Nested Schema : parameters
Type:
objectValues to be applied in a parameterized filter specific to the view.
Response
Default Response
Successful response of retrieving view resourceMembers for resource HR Help Desk Requests
Root Schema : hrHelpDeskRequests_view-resourceMembers
Match All
Get all resource members
Show Source
-
object
__collection_context
-
object
hrHelpDeskRequests_view-resourceMembers-allOf[1]
Get all resource members
Nested Schema : hrHelpDeskRequests_view-resourceMembers-allOf[1]
Type:
objectGet all resource members
Show Source
Nested Schema : totalItems
Type:
Show Source
object-
qualifier: string
Allowed Values:
[ "eq", "gt", "est", "err" ] -
value: integer
Nested Schema : items-allOf[1]
Type:
Show Source
object-
closedDate:
closedDate
-
createdBy:
createdBy
-
criticalFlag:
criticalFlag
-
lastReopenDate:
lastReopenDate
-
lastResolvedDate:
lastResolvedDate
-
openDate:
openDate
-
problemDescription:
problemDescription
-
resolveDescription:
resolveDescription
-
resourceMembers:
resourceMembers
-
srId:
srId
-
srNumber: string
Title:
Reference NumberRead Only:trueMaximum Length:30The unique number that's used to identify a help desk request. You can edit the help desk request number to a format that's best suitable to your organizational requirements. -
statusTypeCd:
statusTypeCd
-
timeCreated:
timeCreated
-
timeUpdated:
timeUpdated
-
title:
title
-
updatedBy:
updatedBy
Nested Schema : closedDate
Match All
Show Source
-
string(date-time)
-
string
Title:
Date ClosedThe date when the help desk request was closed, if closed.
Nested Schema : lastReopenDate
Match All
Show Source
-
string(date-time)
-
string
Title:
Last Reopen DateThe date and time when the help desk request was last reopened.
Nested Schema : lastResolvedDate
Match All
Show Source
-
string(date-time)
-
string
Title:
Last Resolved DateThe date and time when the help desk request was resolved.
Nested Schema : openDate
Match All
Show Source
-
string(date-time)
-
string
Title:
Date ReportedThe date when the help desk request was reported by the customer
Nested Schema : srId
Match All
Show Source
-
string(big-integer)
Read Only:
true -
string
Title:
Help Desk Request IDThe unique identifier of the help desk request record.
Nested Schema : statusTypeCd
Match All
Show Source
-
allOf
statusTypeCd
-
string
Title:
StatusThe status code of the help desk request.
Nested Schema : timeCreated
Match All
Show Source
-
string(date-time)
Read Only:
true -
string
Title:
Created OnThe date when the records was created.
Nested Schema : timeUpdated
Match All
Show Source
-
string(date-time)
Read Only:
true -
string
Title:
Last Updated DateThe date and time when the help desk request was last updated.
Nested Schema : items-allOf[1]
Type:
Show Source
object-
createdBy: string
Title:
Created ByRead Only:trueMaximum Length:64The user who added the Help Desk request resource member. -
memberId: string
(big-integer)
Title:
Member IDThe unique identifier of the Help Desk request resource member. -
objectTypeCd:
objectTypeCd
-
partyObject:
partyObject
-
timeCreated: string
(date-time)
Title:
Created OnRead Only:true -
timeUpdated: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date and time of the last update to the Help Desk request resource member record. -
updatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64The user who last updated the message in the original source system. This is applicable if the Help Desk request message was imported from another system.
Nested Schema : objectTypeCd
Match All
Indicates whether the resource is an individual or a team.
Show Source
Nested Schema : partyObject-allOf[1]
Type:
Show Source
object-
emailAddress: string
(email)
Title:
EmailRead Only:trueThe email address. -
id: string
(big-integer)
Title:
Resource Profile IDRead Only:trueThe unique identifier of the resource profile. -
name: string
Title:
Person NameRead Only:trueThe combination of title, first, middle, last, and suffix names of the resource. -
partyId: string
(big-integer)
Title:
Party IDRead Only:trueThe unique identifier of the party associated to the resource profile. -
phoneNumber: string
Title:
PhoneRead Only:trueThe phone number. -
registryId: string
Title:
Registry IDRead Only:trueThe alternate unique identifier of the party.